package com.zfire.mall.manager.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum TakeFlagEnum {
    OFF(0,"失效"),
    ON(1,"有效"),
    STOP(2,"停用");

    @JsonValue
    @EnumValue
    private final int key;
    private final String value;
}
